fs setquota                AFS Commands             fs setquota


NAME

   fs  setquota -- sets  maximum  quota  for volume containing

                       specified directory.


   fs setquota  [-path <dir/file path>]  -max <max quota in
   kbytes>  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   fs sq  [-p <dir/file path>]  -m <max quota in kbytes>  [-h]

DESCRIPTION

   Sets the maximum size quota for the volume that contains the
   specified  directory  or  file.    The  fs  examine  and  fs
   listquota commands show the current maximum quota.   The  fs
   quota command shows the percent of maximum quota used.

   The  fs  setvol  command  can  be  used  to set the quota on
   multiple volumes at once.  It can also  be  used  to  create
   messages associated with the volumes.

ARGUMENTS

   -path           names  the directory or file for which quota
                   on the host volume is to be set.    If  this
                   argument  is  omitted,  the  current working
                   directory is used; in this  case,  the  -max
                   switch must be used.

   -max            specifies  the  maximum amount of disk space
                   the volume can use.  Express it in  kilobyte
                   blocks (a value of 1024 is one megabyte).  A
                   value of 0 grants an  unlimited  quota,  but
                   the  size  of the disk partition that houses
                   the volume places an absolute limit  on  the
                   volume's maximum size.

   -help           prints   the  online  help  entry  for  this
                   command.  Do not provide any other arguments
                   or  flags with this one.  See section 3.1 in
                   the Reference Manual for more details.

EXAMPLES

   The following imposes a maximum quota of 3000  kilobytes  on
   the      volume      that      houses      the     directory
   /afs/transarc.com/usr/smith:

   % fs sq /afs/transarc.com/usr/smith 3000

PRIVILEGE REQUIRED

   Issuer must belong to the system:administrators group in the
   Protection Database.

MORE INFORMATION



   fs examine

   fs listquota

   fs quota

   fs setvol
